Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

Error when migrating EasyApache3 to EasyApache4

Discussion in 'EasyApache' started by cmonego, Apr 13, 2017.

  1. cmonego

    cmonego Member

    Joined:
    Jul 10, 2014
    Messages:
    21
    Likes Received:
    1
    Trophy Points:
    3
    cPanel Access Level:
    Root Administrator
    Hello,

    I am following the step by step provided in the documentation, however when executing the command "/ scripts / migrate_ea3_to_ea4 - run" the following error occurs during its execution:

    info [migrate_ea3_to_ea4] An error occurred while installing profile “The package ea-apache24-mod_mpm_prefork conflicts and we need to install it resolve deps at /usr/local/cpanel/Cpanel/PackMan.pm line 350.
    ”.

    Then the following options appear:

    1) Revert to EasyApache 3
    2) Abort.
    3) Install the cPanel Default profile.

    What could be causing this error when updating EasyApache? How should I proceed to resolve it?

    []'s

     
  2. cPanelMichael

    cPanelMichael Technical Support Community Manager
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    45,435
    Likes Received:
    1,961
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Twitter:
    Hello,

    Internal case EA-6002 is open to address an issue where attempting to install an EA4 profile that was converted from an EA3 profile with no specific MPM enabled can lead to a conflict with the PHP DSO module. As a workaround, first run the following command to verify all MPM options are listed as "0" in your most recent profile:

    Code:
    grep MPM /var/cpanel/easy/apache/profile/_main.yaml
    If so, edit the above file using a utility such as VI and change "MPMPrefork" from "0" to "1":

    Code:
    vi /var/cpanel/easy/apache/profile/_main.yaml
    Then, try converting to EA4 again to see if it succeeds.

    Thank you.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
    cmonego likes this.
  3. cmonego

    cmonego Member

    Joined:
    Jul 10, 2014
    Messages:
    21
    Likes Received:
    1
    Trophy Points:
    3
    cPanel Access Level:
    Root Administrator
    Hello Michael,

    It worked!

    Can I ask one more question? After migrating from EasyApache to version 4, do I have to do something after running the script?
     
  4. cPanelMichael

    cPanelMichael Technical Support Community Manager
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    45,435
    Likes Received:
    1,961
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Twitter:
    Hello,

    No additional steps are required.

    Thanks!
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  5. cmonego

    cmonego Member

    Joined:
    Jul 10, 2014
    Messages:
    21
    Likes Received:
    1
    Trophy Points:
    3
    cPanel Access Level:
    Root Administrator
    Hello,

    Ok.

    Thanks so much for the help Michael!

    []'s
     
    cPanelMichael likes this.
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice